<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2009 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/contact_detail_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="78dip"
            android:paddingLeft="5dip"
            android:background="@drawable/actionbar_detail_bg">
            <ImageView
                android:id="@+id/back"
                android:layout_width="10dip"
                android:layout_height="20dip"
                android:layout_centerVertical="true"
                android:src="@drawable/actionbar_back"/>
            <LinearLayout 
            	android:id="@+id/name_view"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
                android:layout_centerVertical="true"
				android:layout_gravity="center_vertical|left"
				android:paddingLeft="10dip"
				android:orientation="vertical"
				android:layout_toRightOf="@id/back">
		        <TextView android:id="@+id/name"
					android:layout_width="wrap_content"
					android:layout_height="wrap_content"
					android:textSize="18sp"
					android:textColor="#FFFFFF"
					android:maxWidth="128dip"
					android:singleLine="true"
					android:fadingEdge="horizontal"
					android:fadingEdgeLength="3dip"
					android:ellipsize="marquee"/>
		        <TextView android:id="@+id/action_bar_subtitle"
					android:layout_width="wrap_content"
					android:layout_height="wrap_content"
					android:layout_marginTop="-3dip"
					android:layout_marginBottom="5dip"
					android:textSize="14dp"
					android:textColor="#FFFFFF"
					android:maxWidth="128dip"
					android:singleLine="true"
					android:fadingEdge="horizontal"
					android:fadingEdgeLength="3dip"
					android:ellipsize="marquee"
					android:visibility="gone" />
		    </LinearLayout>    
            <ImageView
                android:id="@+id/star"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="20dip"
                android:layout_toRightOf="@id/name_view"
                android:layout_centerVertical="true"
                android:src="@drawable/btn_star_off_normal_holo_dark"/>
            <ImageView
                android:id="@+id/photo"
                android:layout_width="72dip"
                android:layout_height="72dip"
                android:layout_gravity="center_vertical"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:padding="3dip"
                android:src="@drawable/ic_contact_picture_holo_light"/>
    </RelativeLayout>

    <!-- This fragment is an invisible worker fragment that loads the contact details. -->
    <fragment
        android:id="@+id/loader_fragment"
        class="com.android.contacts.detail.ContactLoaderFragment"
        android:layout_height="0dip"
        android:layout_width="0dip"
        android:visibility="gone"/>

    <!-- This layout includes all possible views needed for a contact detail page -->
    <include
        android:id="@+id/contact_detail_container"
        layout="@layout/contact_detail_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>

</LinearLayout>
